Package org.jboss.resteasy.plugins.providers.jaxb.i18n

## Interface Messages

- All Known Implementing Classes:
    `Messages_$bundle`

      @MessageBundle(projectCode="RESTEASY")
      public interface Messages

  Version:
    $Revision: 1.1 $ Copyright Aug 24, 2015
  Author:
    Ron Sigal

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `BASE` |
    `static Messages` | `MESSAGES` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `collectionWrappingFailedLocalPart​(String element, String localPart)` |
    `String` | `collectionWrappingFailedNamespace​(String namespace, String uri)` |
    `String` | `couldNotFindJAXBContextFinder​(javax.ws.rs.core.MediaType mediaType)` |
    `String` | `couldNotFindUsersJAXBContext​(javax.ws.rs.core.MediaType mediaType)` |
    `String` | `createMethodNotFound​(Class<?> type)` |
    `String` | `errorTryingToLoadSchema​(String schema)` |
    `String` | `mapWrappedFailedKeyAttribute()` |
    `String` | `mapWrappingFailedLocalPart​(String map, String localPart)` |
    `String` | `mapWrappingFailedNamespace​(String map, String namespace)` |
    `String` | `namespacePrefixMapperNotInClassPath()` |
    `String` | `unableToFindJAXBContext​(javax.ws.rs.core.MediaType mediaType)` |
    `String` | `unexpectedUse​(String s)` |
    `String` | `validXmlRegistryCouldNotBeLocated()` |

- - ### Field Detail

    - #### MESSAGES

          static final Messages MESSAGES

    - #### BASE

          static final int BASE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### collectionWrappingFailedLocalPart

          @Message(id=6500,
                   value="Collection wrapping failed, expected root element name of {0} got {1}",
                   format=MESSAGE_FORMAT)
          String collectionWrappingFailedLocalPart​(String element,
                                                   String localPart)

    - #### collectionWrappingFailedNamespace

          @Message(id=6505,
                   value="Collection wrapping failed, expect namespace of {0} got {1}",
                   format=MESSAGE_FORMAT)
          String collectionWrappingFailedNamespace​(String namespace,
                                                   String uri)

    - #### couldNotFindJAXBContextFinder

          @Message(id=6510,
                   value="Could not find JAXBContextFinder for media type: %s")
          String couldNotFindJAXBContextFinder​(javax.ws.rs.core.MediaType mediaType)

    - #### createMethodNotFound

          @Message(id=6515,
                   value="The method create%s() was not found in the object Factory!")
          String createMethodNotFound​(Class<?> type)

    - #### errorTryingToLoadSchema

          @Message(id=6520,
                   value="Error while trying to load schema for %s")
          String errorTryingToLoadSchema​(String schema)

    - #### mapWrappedFailedKeyAttribute

          @Message(id=6525,
                   value="Map wrapped failed, could not find map entry key attribute")
          String mapWrappedFailedKeyAttribute()

    - #### mapWrappingFailedLocalPart

          @Message(id=6530,
                   value="Map wrapping failed, expected root element name of {0} got {1}",
                   format=MESSAGE_FORMAT)
          String mapWrappingFailedLocalPart​(String map,
                                            String localPart)

    - #### mapWrappingFailedNamespace

          @Message(id=6535,
                   value="Map wrapping failed, expect namespace of {0} got {1}",
                   format=MESSAGE_FORMAT)
          String mapWrappingFailedNamespace​(String map,
                                            String namespace)

    - #### namespacePrefixMapperNotInClassPath

          @Message(id=6540,
                   value="com.sun.xml.bind.marshaller.NamespacePrefixMapper is not in your classpath.  You need to use the JAXB RI for the prefix mapping feature")
          String namespacePrefixMapperNotInClassPath()

    - #### unexpectedUse

          @Message(id=6545,
                   value="SecureUnmarshaller: unexpected use of unmarshal(%s)")
          String unexpectedUse​(String s)

    - #### unableToFindJAXBContext

          @Message(id=6550,
                   value="Unable to find JAXBContext for media type: %s")
          String unableToFindJAXBContext​(javax.ws.rs.core.MediaType mediaType)

    - #### validXmlRegistryCouldNotBeLocated

          @Message(id=6555,
                   value="A valid XmlRegistry could not be located.")
          String validXmlRegistryCouldNotBeLocated()

    - #### couldNotFindUsersJAXBContext

          @Message(id=6560,
                   value="Could not find user\'s JAXBContext implementation for media type: %s")
          String couldNotFindUsersJAXBContext​(javax.ws.rs.core.MediaType mediaType)